import * as Dropbox from './dropbox';
import * as S3 from './s3';
import { Options } from './options';
import * as Types from './types';
export { Options };
export declare function create(protocol: 's3', options?: S3.Options): Types.Driver;
export declare function create(protocol: 'dropbox' | 'dbx', options?: Dropbox.Options): Types.Driver;
export declare function create(protocol: string, options?: Options): Types.Driver;
export declare function getProtocolOrDefault(path: string): string;
export declare function read(path: string, options?: Types.ReadOptions): Promise<ArrayBuffer>;
export declare function readString(path: string, options?: Types.ReadOptions): Promise<string>;
export declare function readJson(path: string, options?: Types.ReadOptions): Promise<any>;
export declare function write(path: string, data: ArrayBuffer | string): Promise<void>;
export declare function copyFile(input: string, output: string): Promise<void>;
export declare function list(dir: string, recursive?: boolean): Promise<Types.List>;
export declare function remove(path: string): Promise<void>;
//# sourceMappingURL=forager.d.ts.map