"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Range = void 0;
exports.Range = { toHeaderValue, fromHeaderValue };
function toHeaderValue([begin, end]) {
    if (begin < 0 || end < 0 || begin >= end)
        throw new Error(`Invalid range`);
    if (end === Infinity)
        return `bytes=${begin}-`;
    return `bytes=${begin}-${end - 1}`;
}
// This isn't fully specification compliant for parsing range headers, it is
// only intended for parsing the subset of range headers that we generate
// internally for testing purposes.
function fromHeaderValue(header) {
    const [bytes, parts] = header
        .toLowerCase()
        .split('=')
        .map((s) => s.trim());
    if (bytes !== 'bytes')
        throw new Error('Missing "bytes" in range header');
    const [begin = 0, end = Infinity] = parts
        .split('-')
        .map((v) => parseInt(v))
        .map((v) => (isNaN(v) ? undefined : v));
    return [begin, end + 1];
}
