import { Range } from './range';
export declare type PathType = 'file' | 'directory';
export declare type PathInfo = {
    path: string;
    type: PathType;
    size?: number;
};
export declare type List = PathInfo[];
export { Range };
export declare type ReadOptions = {
    range?: Range;
};
export declare type Readable = {
    read(path: string, options?: ReadOptions): Promise<ArrayBuffer>;
};
export declare type Writable = {
    write(path: string, data: ArrayBuffer | string): Promise<void>;
};
export declare type Listable = {
    list(path: string): Promise<List>;
};
export declare type Removable = {
    remove(path: string): Promise<void>;
};
export declare type Driver = Readable & Writable & Listable & Removable;
//# sourceMappingURL=types.d.ts.map